Package net.shibboleth.idp.authn.principal

# Class PrincipalEvalPredicateFactoryRegistration

java.lang.Object
net.shibboleth.idp.authn.principal.PrincipalEvalPredicateFactoryRegistration

public class PrincipalEvalPredicateFactoryRegistration extends Object
Wraps the association of a `PrincipalEvalPredicateFactory` against a particular `Principal` subtype and a string operator.

Used to support auto-wiring of factories into a `PrincipalEvalPredicateFactoryRegistry`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private PrincipalEvalPredicateFactory`
`predicateFactory`
Predicate factory.
`private Pair<Class<? extends Principal>,String>`
`typeAndOperator`
The class and operator pair.

## Constructor Summary

Constructors
Constructor
Description
`PrincipalEvalPredicateFactoryRegistration(Pair<Class<? extends Principal>,String> key, PrincipalEvalPredicateFactory value)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`PrincipalEvalPredicateFactory`
`getPredicateFactory()`
Gets the factory for this registration.
`Pair<Class<? extends Principal>,String>`
`getTypeAndOperator()`
Gets the type and operator pair for this registration.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### typeAndOperator

@Nonnull private Pair<Class<? extends Principal>,String> typeAndOperator
The class and operator pair.

### predicateFactory

@Nonnull private PrincipalEvalPredicateFactory predicateFactory
Predicate factory.

## Constructor Details

### PrincipalEvalPredicateFactoryRegistration

public PrincipalEvalPredicateFactoryRegistration(@Nonnull @ParameterName(name="key") Pair<Class<? extends Principal>,String> key, @Nonnull @ParameterName(name="value") PrincipalEvalPredicateFactory value)
Constructor.

Parameters:
  `key` - type and operator
  `value` - predicate factory

## Method Details

### getTypeAndOperator

@Nonnull public Pair<Class<? extends Principal>,String> getTypeAndOperator()
Gets the type and operator pair for this registration.

Returns:
  type and operator pair

### getPredicateFactory

@Nonnull public PrincipalEvalPredicateFactory getPredicateFactory()
Gets the factory for this registration.

Returns:
  registration